CYPM(1)

NAME
cypm - the Curry Package Manager

SYNOPSIS
cypm [<OPTIONS>] >COMMAND>

DESCRIPTION
The Curry Package Manager (CPM) is a tool to distribute and install Curry (http://currry-language.org) libraries and applications and manage version dependencies between them.

OPTIONS
Invoke CPM:
   cypm <options> <COMMAND> with options:

-h, --help
    Show a help message and quit

-v, --verbosity <LEVEL>
    Log level for the application. Valid value: info|debug|quiet

-d, --define <DEFINITION>
    Overwrite definition of cpmrc file with 'option=value'

-t, --time
    Show elapsed time with every log output

Options for <COMMAND>:

list
    List all packages of the repository

search
    Search the package repository

config
    Show current configuration of CPM

checkout
    Checkout a package.

install
    Install a package with its dependencies.

uninstall
    Uninstall a package

deps
    Calculate dependencies

clean
    Clean the current package

new Create a new package

update
    Update the package index

curry
    Load package spec and start Curry with correct dependencies

exec
    Execute a command with the CURRYPATH set

info
    Print package information

doc Generation documentation for current package (with CurryDoc)

test
    Test the current package (with CurryCheck)

diff
    Diff the current package against another version

upgrade
    Upgrade one or more packages

link
    Link a package to the local cache

add Add a package (as dependency or to the local repository)

upload
    Upload current package to package server

To get more help about the usage of a command, type
  cypm <COMMAND> -h

AUTHOR
This manual page has been written by Michael Hanus and converted to nroff format by Mike Gabriel <mike.gabriel@das-netzwerkteam.de>. This man page has been written for the Debian project initially, but may also be used by others.